﻿#language: ru

@ignore
@scp
@exportscenarios

Функционал: Экспортные сценарии

Сценарий: Я проверяю движения SCP по макету "ИмяМакета"

	Когда я нажимаю на кнопку 'Движения документа'
	Тогда я жду открытия окна 'Движения документа (Горизонтально)' в течение 20 секунд
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R7C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	
Сценарий: Я включаю пакетное изменение строк в АРМе планирования потребностей

	Когда я нажимаю на кнопку 'Изменить строки'
	Если элемент "ГрупповыеИзменения_ВариантДействия" не присутствует на форме Тогда
		Тогда я нажимаю на кнопку 'Изменить строки'

Сценарий: Я задаю буфер "ТекстПериода" "ИмяНоменклатуры" "ИмяХарактеристики" "ИмяСклада" "РекЗапас" "МинЗапас" "МаксЗапас"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Размер буфера'
	Тогда я жду открытия окна 'Размер буфера' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Размер буфера (создание)' в течение 20 секунд
	* Ввод
		И в поле 'Период' я ввожу текст "ТекстПериода"
		И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
		И из выпадающего списка "Характеристика" я выбираю по строке "ИмяХарактеристики"
		И из выпадающего списка "Склад" я выбираю по строке "ИмяСклада"
		И в поле 'Рек. запас' я ввожу текст "РекЗапас"
		И в поле 'Мин. запас' я ввожу текст "МинЗапас"
		И в поле 'Макс. запас' я ввожу текст "МаксЗапас"
	И я перехожу к следующему реквизиту
	* Проверка
		Тогда у элемента формы с именем "Период" текст редактирования стал равен "ТекстПериода"
		Тогда элемент формы с именем "Номенклатура" стал равен "ИмяНоменклатуры"
		Тогда элемент формы с именем "Характеристика" стал равен "ИмяХарактеристики"
		Тогда элемент формы с именем "Склад" стал равен "ИмяСклада"
		Тогда элемент формы с именем "РекомендуемыйЗапас" стал равен "РекЗапас"
		Тогда элемент формы с именем "МинимальныйЗапас" стал равен "МинЗапас"
		Тогда элемент формы с именем "МаксимальныйЗапас" стал равен "МаксЗапас"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Размер буфера (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Размер буфера' в течение 20 секунд
	И Я закрываю окно 'Размер буфера'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю схему обеспечения "ИмяСхемы" "ТипСхемы" "ДлительностьСхемы" "ЕдИзмСхемы"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Справочник схем обеспечения'
	Тогда я жду открытия окна 'Схемы обеспечения' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Схема обеспечения (создание)' в течение 20 секунд
	* Ввод
		И в поле 'Наименование' я ввожу текст "ИмяСхемы"
		И я меняю значение переключателя 'Тип' на "ТипСхемы"
		И в поле с именем 'Длительность' я ввожу текст  "ДлительностьСхемы"
		И из выпадающего списка "ЕдиницаИзмеренияДлительности" я выбираю по строке "ЕдИзмСхемы"
	И я перехожу к следующему реквизиту
	* Проверка
		Тогда элемент формы с именем "Наименование" стал равен "ИмяСхемы"
		Тогда элемент формы с именем "ТипОбеспечения" стал равен "ТипСхемы" 
		Тогда элемент формы с именем "Подразделение" стал равен ''
		Тогда элемент формы с именем "Длительность" стал равен  "ДлительностьСхемы"
		Тогда элемент формы с именем "ЕдиницаИзмеренияДлительности" стал равен "ЕдИзмСхемы"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Схема обеспечения (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Схемы обеспечения' в течение 20 секунд
	И Я закрываю окно 'Схемы обеспечения'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю назначение схемы закупки "ИмяСклада" "ИмяНоменклатуры" "ИмяСхемы"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	* Ввод
		Тогда я жду открытия окна 'Назначение схем обеспечения (создание)' в течение 20 секунд
		И из выпадающего списка "Склад" я выбираю по строке "ИмяСклада"
		И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
		И из выпадающего списка "Схема обеспечения" я выбираю по строке "ИмяСхемы"
	И я перехожу к следующему реквизиту
	* Проверка
		Тогда элемент формы с именем "СкладВыпуска" стал равен "ИмяСклада"
		Тогда элемент формы с именем "Номенклатура" стал равен "ИмяНоменклатуры"
		Тогда элемент формы с именем "Характеристика" стал равен ''
		Тогда элемент формы с именем "Приоритет" стал равен '0'
		Тогда элемент формы с именем "СкладМатериалов" стал равен ''
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен "ИмяСхемы"
		Тогда элемент формы с именем "СкладМатериалов" отсутствует на форме
		Тогда элемент формы с именем "Спецификация" отсутствует на форме
		Тогда элемент формы с именем "ОсновнаяСпецификация" отсутствует на форме
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначение схем обеспечения (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И Я закрываю окно 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю назначение схемы перемещения "ИмяОтправителя" "ИмяПолучателя" "ИмяНоменклатуры" "ИмяСхемы"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Назначение схем обеспечения (создание)' в течение 20 секунд
	* Ввод
		И из выпадающего списка "Склад" я выбираю по строке "ИмяОтправителя"
		И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
		И из выпадающего списка с именем "СхемаОбеспечения" я выбираю по строке "ИмяСхемы"
		И из выпадающего списка "Отправитель" я выбираю по строке "ИмяПолучателя"
	И я перехожу к следующему реквизиту
	* Проверка
		Тогда элемент формы с именем "Номенклатура" стал равен "ИмяНоменклатуры"
		Тогда элемент формы с именем "СкладВыпуска" стал равен "ИмяОтправителя"
		Тогда элемент формы с именем "СкладМатериалов" стал равен "ИмяПолучателя"
		Тогда элемент формы с именем "Приоритет" стал равен '0'
		Тогда элемент формы с именем "Характеристика" стал равен ''
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен "ИмяСхемы"
		Тогда элемент формы с именем "Спецификация" отсутствует на форме
		Тогда элемент формы с именем "ОсновнаяСпецификация" отсутствует на форме
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначение схем обеспечения (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И Я закрываю окно 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю назначение схемы производства "ИмяСкладаВыпуска" "ИмяСпецификации" "ИмяНоменклатуры" "ИмяСхемы" "ИмяСкладаМатериалов"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Назначение схем обеспечения (создание)' в течение 20 секунд
	* Ввод
		И из выпадающего списка "Склад" я выбираю по строке "ИмяСкладаВыпуска"
		И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
		И из выпадающего списка с именем "СхемаОбеспечения" я выбираю по строке "ИмяСхемы"
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Основная'
		И из выпадающего списка с именем "Спецификация" я выбираю по строке "ИмяСпецификации"
		И из выпадающего списка "Склад материалов" я выбираю по строке "ИмяСкладаМатериалов"
	И я перехожу к следующему реквизиту
	* Проверка
		Тогда элемент формы с именем "СкладВыпуска" стал равен "ИмяСкладаВыпуска"
		Тогда элемент формы с именем "Номенклатура" стал равен "ИмяНоменклатуры"
		Тогда элемент формы с именем "Характеристика" стал равен ''
		Тогда элемент формы с именем "Приоритет" стал равен '0'
		Тогда элемент формы с именем "СкладМатериалов" стал равен "ИмяСкладаМатериалов"
		Тогда элемент формы с именем "СхемаОбеспечения" стал равен "ИмяСхемы"
		Тогда элемент формы с именем "Спецификация" стал равен "ИмяСпецификации"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначение схем обеспечения (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Назначение схем обеспечения' в течение 20 секунд
	И Я закрываю окно 'Назначение схем обеспечения'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'
	
Сценарий: Я выключаю отбор по иерархии в подборе номенклатуры

	Если элемент "СписокИерархия" присутствует на форме Тогда
		Тогда я нажимаю на кнопку 'Иерархия'

Сценарий: Я задаю прогнозный остаток "пДата" "пСклад" "пНоменлатура" "пХарактеристика" "пОстаток"

	И В командном интерфейсе я выбираю 'Планирование' 'Прогнозные остатки производства'
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Прогнозные остатки производства (создание)' в течение 20 секунд
	* Ввод
		И в поле с именем 'Дата' я ввожу текст "пДата"
		И из выпадающего списка "Склад" я выбираю по строке "пСклад"
		И из выпадающего списка "Номенклатура" я выбираю по строке "пНоменлатура"
		И из выпадающего списка "Характеристика" я выбираю по строке "пХарактеристика"
		И в поле 'Остаток' я ввожу текст "пОстаток"
	И я перехожу к следующему реквизиту
	*Проверка
		Тогда у элемента формы с именем "Дата" текст редактирования стал равен "пДата"
		Тогда элемент формы с именем "Склад" стал равен "пСклад"
		Тогда элемент формы с именем "Номенклатура" стал равен "пНоменлатура"
		Тогда элемент формы с именем "Характеристика" стал равен "пХарактеристика"
		Тогда у элемента формы с именем "ДатаПартии" текст редактирования стал равен '  .  .    '
		Тогда элемент формы с именем "Упаковка" стал равен ''
		Тогда у элемента формы с именем "Остаток" текст редактирования стал равен "пОстаток"
		Тогда элемент формы с именем "ОстатокУпаковок" стал равен '0'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Прогнозные остатки производства (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И Я закрываю окно 'Прогнозные остатки производства'

Сценарий: Я задаю прогнозный остаток с датой партии "пДата" "пСклад" "пНоменлатура" "пХарактеристика" "пДатаПартии" "пОстаток"

	И В командном интерфейсе я выбираю 'Планирование' 'Прогнозные остатки производства'
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Прогнозные остатки производства (создание)' в течение 20 секунд
	* Ввод
		И в поле с именем 'Дата' я ввожу текст "пДата"
		И в поле 'Дата партии' я ввожу текст "пДатаПартии"
		И из выпадающего списка "Склад" я выбираю по строке "пСклад"
		И из выпадающего списка "Номенклатура" я выбираю по строке "пНоменлатура"
		И из выпадающего списка "Характеристика" я выбираю по строке "пХарактеристика"
		И в поле 'Остаток' я ввожу текст "пОстаток"
	И я перехожу к следующему реквизиту
	*Проверка
		Тогда у элемента формы с именем "Дата" текст редактирования стал равен "пДата"
		Тогда элемент формы с именем "Склад" стал равен "пСклад"
		Тогда элемент формы с именем "Номенклатура" стал равен "пНоменлатура"
		Тогда элемент формы с именем "Характеристика" стал равен "пХарактеристика"
		Тогда у элемента формы с именем "ДатаПартии" текст редактирования стал равен "пДатаПартии"
		Тогда элемент формы с именем "Упаковка" стал равен ''
		Тогда у элемента формы с именем "Остаток" текст редактирования стал равен "пОстаток"
		Тогда элемент формы с именем "ОстатокУпаковок" стал равен '0'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Прогнозные остатки производства (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И Я закрываю окно 'Прогнозные остатки производства'

Сценарий: Я открываю и заполняю АРМ SCP

	Дано В командном интерфейсе я выбираю 'Планирование' 'Планирование цепочек поставок'
	Тогда я жду открытия окна 'Планирование цепочек поставок [19.08.2020 - 26.08.2020]' в течение 20 секунд
	И из выпадающего списка "Сценарий" я выбираю по строке 'Сценарий SCP'
	И я перехожу к закладке "19.08.2020 - 26.08.2020"
	И в поле 'Остатки на' я ввожу текст '23.08.2020  0:00:00'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'ФормаЗаполнить'

Сценарий: Я проверяю движения в АРМе после всех операций

	Тогда таблица "ДвиженияТоваров" стала равной:
			| 'Номенклатура'                                | 'Ед.' | 'Характеристика' | 'Период'         | 'Склад'                    | 'Приход' | 'На начало' | 'Расход' | 'На конец' | 'Источник'              | 'мин.' | 'рек.' | 'макс.' | 'Доступных схем обеспечения' |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Основной склад ООО'       | ''       | '25'        | ''       | '25'       | 'Остаток'               | '20'   | '50'   | '500'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '105'    | '25'        | ''       | '130'      | 'Белоусово->Основной'   | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '130'       | '100'    | '30'       | 'Потребность'           | '30'   | '100'  | '490'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '140'    | '30'        | ''       | '170'      | 'Белоусово->Основной'   | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '170'       | '150'    | '20'       | 'Потребность'           | '20'   | '90'   | '480'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '140'    | '20'        | ''       | '160'      | 'Белоусово->Основной'   | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '160'       | '150'    | '10'       | 'Потребность'           | '10'   | '80'   | '470'   | '1'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | ''               | 'Склад  в Белоусово'       | ''       | '110'       | ''       | '110'      | 'Остаток'               | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '135'    | '110'       | ''       | '245'      | 'Закупка у конкурентов' | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '245'       | '105'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '140'    | '140'       | ''       | '280'      | 'Разруб'                | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '280'       | '140'    | '140'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '140'       | '140'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '2'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Цех глубокой переработки' | '100'    | ''          | ''       | '100'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | '100'       | '100'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Кулинария'             | ''     | ''     | ''      | '1'                          |
			| 'Колбаски для жарки  "С сыром" /подл./'       | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '22.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '22,3'   | '-22,3'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '23.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '33,45'  | '-33,45'   | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ ИЗ ФИЛЕ'                                | 'кг'  | ''               | '24.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '33,45'  | '-33,45'   | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '22.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '25'     | '-25'      | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '23.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '37,5'   | '-37,5'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'ФАРШ КУРИНЫЙ'                                | 'кг'  | ''               | '24.08.20 23:00' | 'Склад материалов'         | ''       | ''          | '37,5'   | '-37,5'    | 'Кулинария'             | ''     | ''     | ''      | ''                           |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Цех глубокой переработки' | '100'    | ''          | ''       | '100'      | 'Фарш'                  | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 03:00' | 'Цех глубокой переработки' | ''       | '100'       | '100'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Фарш'                  | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Цех глубокой переработки' | '150'    | ''          | ''       | '150'      | 'Фарш'                  | ''     | ''     | ''      | '1'                          |
			| 'Фарш куриный натуральный / подложка/'        | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 03:00' | 'Цех глубокой переработки' | ''       | '150'       | '150'    | ''         | 'Переработка->Основной' | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | '100'    | ''          | ''       | '100'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Основной склад ООО'       | ''       | '100'       | '100'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | '150'    | ''          | ''       | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 07:00' | 'Основной склад ООО'       | ''       | '150'       | '150'    | ''         | 'Потребность'           | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '23.08.20 07:00' | 'Склад  в Белоусово'       | '250'    | ''          | ''       | '250'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '250'       | '100'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '24.08.20 07:00' | 'Склад  в Белоусово'       | '150'    | '150'       | ''       | '300'      | 'Разруб'                | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '25.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '300'       | '150'    | '150'      | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |
			| 'Цыплята 1 кат /подложка/'                    | 'кг'  | 'Ашан ООО, 01'   | '26.08.20 05:00' | 'Склад  в Белоусово'       | ''       | '150'       | '150'    | ''         | 'Белоусово->Основной'   | ''     | ''     | ''      | '1'                          |

Сценарий: Я проверяю плановые движения АРМа с документами

	Тогда таблица "ПлановыеДвижения" стала равной по шаблону:
		| 'Номенклатура'                                | 'Документ'                              | 'Характеристика' | 'Тип обеспечения' | 'Склад'                    | 'Приход' | 'Дата выпуска' | 'Волна'         | 'Расход' | 'Период'         | 'Схема обеспечения'     |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '105'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '140'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '140'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заявка на закупку *'                   | 'Ашан ООО, 01'   | 'Закупка'         | 'Склад  в Белоусово'       | '135'    | '23.08.2020'   | '1 [7:00-9:00]' | ''       | '23.08.20 07:00' | 'Закупка у конкурентов' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '24.08.2020'   | ''              | '105'    | '24.08.20 05:00' | 'Белоусово->Основной'   |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заявка на производство [24.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Склад  в Белоусово'       | '140'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Разруб'                |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '25.08.2020'   | ''              | '140'    | '25.08.20 05:00' | 'Белоусово->Основной'   |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '26.08.2020'   | ''              | '140'    | '26.08.20 05:00' | 'Белоусово->Основной'   |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '100'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Переработка->Основной' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Переработка->Основной' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Переработка->Основной' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заявка на производство [23.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '100'    | '23.08.2020'   | '1 [7:00-9:00]' | ''       | '23.08.20 07:00' | 'Кулинария'             |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '24.08.2020'   | ''              | '100'    | '24.08.20 03:00' | 'Переработка->Основной' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заявка на производство [24.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '150'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Кулинария'             |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '25.08.2020'   | ''              | '150'    | '25.08.20 03:00' | 'Переработка->Основной' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заявка на производство [25.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Кулинария'             |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '26.08.2020'   | ''              | '150'    | '26.08.20 03:00' | 'Переработка->Основной' |
		| 'ФАРШ ИЗ ФИЛЕ'                                | 'Заявка на производство [23.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '23.08.2020'   | ''              | '22,3'   | '22.08.20 23:00' | 'Кулинария'             |
		| 'ФАРШ ИЗ ФИЛЕ'                                | 'Заявка на производство [24.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '24.08.2020'   | ''              | '33,45'  | '23.08.20 23:00' | 'Кулинария'             |
		| 'ФАРШ ИЗ ФИЛЕ'                                | 'Заявка на производство [25.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '25.08.2020'   | ''              | '33,45'  | '24.08.20 23:00' | 'Кулинария'             |
		| 'ФАРШ КУРИНЫЙ'                                | 'Заявка на производство [23.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '23.08.2020'   | ''              | '25'     | '22.08.20 23:00' | 'Кулинария'             |
		| 'ФАРШ КУРИНЫЙ'                                | 'Заявка на производство [24.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '24.08.2020'   | ''              | '37,5'   | '23.08.20 23:00' | 'Кулинария'             |
		| 'ФАРШ КУРИНЫЙ'                                | 'Заявка на производство [25.08.2020] *' | ''               | 'Производство'    | 'Склад материалов'         | ''       | '25.08.2020'   | ''              | '37,5'   | '24.08.20 23:00' | 'Кулинария'             |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '100'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Переработка->Основной' |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Переработка->Основной' |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Переработка->Основной' |
		| 'Фарш куриный натуральный / подложка/'        | 'Заявка на производство [23.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '100'    | '23.08.2020'   | '1 [7:00-9:00]' | ''       | '23.08.20 07:00' | 'Фарш'                  |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '24.08.2020'   | ''              | '100'    | '24.08.20 03:00' | 'Переработка->Основной' |
		| 'Фарш куриный натуральный / подложка/'        | 'Заявка на производство [24.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '150'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Фарш'                  |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '25.08.2020'   | ''              | '150'    | '25.08.20 03:00' | 'Переработка->Основной' |
		| 'Фарш куриный натуральный / подложка/'        | 'Заявка на производство [25.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Цех глубокой переработки' | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Фарш'                  |
		| 'Фарш куриный натуральный / подложка/'        | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Цех глубокой переработки' | ''       | '26.08.2020'   | ''              | '150'    | '26.08.20 03:00' | 'Переработка->Основной' |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '100'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '25.08.2020'   | '1 [7:00-9:00]' | ''       | '25.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Основной склад ООО'       | '150'    | '26.08.2020'   | '1 [7:00-9:00]' | ''       | '26.08.20 07:00' | 'Белоусово->Основной'   |
		| 'Цыплята 1 кат /подложка/'                    | 'Заявка на производство [23.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Склад  в Белоусово'       | '250'    | '23.08.2020'   | '1 [7:00-9:00]' | ''       | '23.08.20 07:00' | 'Разруб'                |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '24.08.2020'   | ''              | '100'    | '24.08.20 05:00' | 'Белоусово->Основной'   |
		| 'Цыплята 1 кат /подложка/'                    | 'Заявка на производство [24.08.2020] *' | 'Ашан ООО, 01'   | 'Производство'    | 'Склад  в Белоусово'       | '150'    | '24.08.2020'   | '1 [7:00-9:00]' | ''       | '24.08.20 07:00' | 'Разруб'                |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '25.08.2020'   | ''              | '150'    | '25.08.20 05:00' | 'Белоусово->Основной'   |
		| 'Цыплята 1 кат /подложка/'                    | 'Заказ на перемещение *'                | 'Ашан ООО, 01'   | 'Перемещение'     | 'Склад  в Белоусово'       | ''       | '26.08.2020'   | ''              | '150'    | '26.08.20 05:00' | 'Белоусово->Основной'   |

Сценарий: Я очищаю панель отборов в форме списка Заявок на производство

	И я нажимаю кнопку очистить у поля "Продукция"
	И я нажимаю на гиперссылку "Дата задания"
	Тогда я жду открытия окна 'Выберите период' в течение 20 секунд
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на гиперссылку "Период"
	Тогда я жду открытия окна 'Выберите период' в течение 20 секунд
	И я нажимаю на кнопку 'Очистить период'
	И я нажимаю на кнопку 'Выбрать'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'НастройкаСписка'
	Тогда я жду открытия окна 'Настройка списка' в течение 20 секунд
	И я нажимаю на кнопку 'Установить стандартные настройки'
	И я нажимаю на кнопку 'Завершить редактирование'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд

Сценарий: Я заполняю расписание на "День" для графика перемещения

	И в таблице "ШаблонЗаполнения" я перехожу к строке:
		| 'Представление дня' |
		| 'День'           |
	И в таблице "ШаблонЗаполнения" я устанавливаю флаг 'День включен в график'
	И в таблице "ШаблонЗаполнения" я активизирую поле "Представление расписания"
	И в таблице "ШаблонЗаполнения" я выбираю текущую строку
	Тогда я жду открытия окна 'Расписание работы' в течение 20 секунд
	И в таблице "РасписаниеРаботы" я нажимаю на кнопку с именем 'РасписаниеРаботыДобавить'
	И в таблице "РасписаниеРаботы" в поле 'Начало' я ввожу текст ' 7:00:00'
	И в таблице "РасписаниеРаботы" в поле 'Окончание' я ввожу текст '12:00:00'
	И в таблице "РасписаниеРаботы" я завершаю редактирование строки
	И в таблице "РасписаниеРаботы" я нажимаю на кнопку с именем 'РасписаниеРаботыДобавить'
	И в таблице "РасписаниеРаботы" в поле 'Начало' я ввожу текст '13:00:00'
	И в таблице "РасписаниеРаботы" в поле 'Окончание' я ввожу текст '18:00:00'
	И в таблице "РасписаниеРаботы" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда я жду открытия окна 'График работы (создание) *' в течение 20 секунд

# Планирование потребностей

Сценарий: Я открываю планирование заявки на день

	И В командном интерфейсе я выбираю 'Планирование' 'Планирование заявок на день'
	Тогда открылось окно 'Планирование заявки *'
	И в поле 'Дата заявки' я ввожу текст '24.08.2020'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Планирование заявки на день [24 августа 2020 г.]'
	И я устанавливаю флаг "Использовать даты маркировки"

Сценарий: Я проверяю заполнение АРМа по сценарию с отложенным заполнением

	Тогда элемент формы с именем "Сценарий" стал равен 'Заполнение вручную'
	Тогда у элемента формы с именем "ДатаЗаявки" текст редактирования стал равен '24.08.2020'
	Тогда элемент формы с именем "ИспользоватьДатыМаркировки" стал равен 'Да'
	Тогда элемент формы с именем "СкладыСОстатками" стал равен ''
	Тогда элемент формы с именем "ФиксированныйФорматКоличеств" стал равен 'Нет'
	Тогда элемент формы с именем "ЭтапЗаявкиДляЧтения" стал равен 'Прогноз'
	Тогда элемент формы с именем "ЭтапЗаявкиДляЗаписи" стал равен 'План'
	Тогда элемент формы с именем "УровеньОбеспеченияБуфера" стал равен 'Минимальный запас'
	Тогда элемент формы с именем "СценарийПланирования" стал равен 'Сценарий планирования'
	Тогда элемент формы с именем "ПлановыйЗаказ" стал равен 'Да'
	Тогда в таблице "Потребности" количество строк "равно" 0
	Тогда элемент формы с именем "УровеньОбеспеченияБуфера_ВКоманднойПанели" стал равен 'Минимальный запас'
	Тогда в таблице "РаспределениеПоВолнам" количество строк "равно" 0

Сценарий: Я проверяю заполнение АРМа по сценарию с заполнением при старте

	Тогда открылось окно 'Планирование заявки на день *'
	Тогда элемент формы с именем "Сценарий" стал равен 'Заполнение при старте'
	Тогда элемент формы с именем "ИспользоватьДатыМаркировки" стал равен 'Да'
	Тогда элемент формы с именем "СкладыСОстатками" стал равен ''
	Тогда элемент формы с именем "ФиксированныйФорматКоличеств" стал равен 'Нет'
	Тогда элемент формы с именем "ЭтапЗаявкиДляЧтения" стал равен 'Прогноз'
	Тогда элемент формы с именем "ЭтапЗаявкиДляЗаписи" стал равен 'План'
	Тогда элемент формы с именем "УровеньОбеспеченияБуфера" стал равен 'Минимальный запас'
	Тогда элемент формы с именем "СценарийПланирования" стал равен 'Сценарий планирования'
	Тогда элемент формы с именем "ПлановыйЗаказ" стал равен 'Да'
	Тогда элемент формы с именем "УровеньОбеспеченияБуфера_ВКоманднойПанели" стал равен 'Минимальный запас'
	Тогда таблица "Потребности" стала равной:
			| 'N'  | 'Номенклатура'                                | 'Характеристика' | 'Схема обеспечения' | 'Маркировка' | 'Волна'         | 'Склад'              | 'Дата'       | 'Количество' | 'Ед.' | 'Волна '        |
			| '1'  | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '2'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '3'  | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '4'  | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '5'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | ''                  | '24.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '24.08.2020' | '100'        | 'кг'  | '1 [7:00-9:00]' |
			| '6'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | ''                  | '25.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '25.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '7'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '8'  | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | ''                  | '27.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '27.08.2020' | '200'        | 'кг'  | '1 [7:00-9:00]' |
			| '9'  | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | ''                  | '24.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '24.08.2020' | '100'        | 'кг'  | '1 [7:00-9:00]' |
			| '10' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | ''                  | '25.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '25.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '11' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | ''                  | '26.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '26.08.2020' | '150'        | 'кг'  | '1 [7:00-9:00]' |
			| '12' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | ''                  | '27.08.2020' | '1 [7:00-9:00]' | 'Основной склад ООО' | '27.08.2020' | '200'        | 'кг'  | '1 [7:00-9:00]' |

Сценарий: Я устанавливаю всем строкам потребности схему Фарш
	
	И в таблице "Потребности" я выделяю все строки
	И в таблице "Потребности" я нажимаю на кнопку с именем 'ПотребностиПотребности_УказатьСхемыОбеспечения'
	Тогда открылось окно 'Схемы обеспечения'
	И в таблице "Список" я перехожу к строке:
		| 'Длительность' | 'Ед.' | 'Наименование' | 'Тип обеспечения' |
		| '2'            | 'дн'  | 'Фарш'         | 'Производство'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Планирование заявки на *'
	И я нажимаю на кнопку 'Обновить'

Сценарий: В распределении все строки при проверке отборов

	Тогда таблица "РаспределениеПоВолнам" стала равной:
		| 'Номенклатура'                                | 'Характеристика' | 'Склад'              | 'Маркировка' |
		| 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | 'Основной склад ООО' | '26.08.2020' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | 'Основной склад ООО' | '24.08.2020' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | 'Основной склад ООО' | '25.08.2020' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | 'Основной склад ООО' | '26.08.2020' |
		| 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | 'Основной склад ООО' | '27.08.2020' |
		| 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | 'Основной склад ООО' | '24.08.2020' |
		| 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | 'Основной склад ООО' | '25.08.2020' |
		| 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | 'Основной склад ООО' | '26.08.2020' |
		| 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | 'Основной склад ООО' | '27.08.2020' |
		| 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | 'Основной склад ООО' | '26.08.2020' |

Сценарий: Я открываю созданную заявку на производство на 25

	И я нажимаю на кнопку 'Заявки на производство...'
	Тогда открылось окно 'Заявки на производство'
	И в таблице "Список" я перехожу к строке:
			| 'Вид заявки'            | 'Дата задания' | 'Ответственный'               | 'Склад выпуска'      |
			| 'Упаковка и маркировка' | '25.08.2020'   | 'Планирование заявок на день' | 'Основной склад ООО' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заявка на упаковку и маркировку [25.08.2020] *'

# Подбор потреностей
Сценарий: Провераю потребности в подборе на день

	Тогда таблица "Потребности" стала равной:
		| 'N' | 'Период'     | 'Склад'              | 'Номенклатура'                                | 'Отгрузка'   | 'Характеристика' | 'План'    | 'Волна'         | 'Заказов' | 'Маркировка' |
		| '1' | '25.08.2020' | 'Основной склад ООО' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | '25.08.2020' | 'Ашан ООО, 01'   | '150,000' | '1 [7:00-9:00]' | '1'       | '25.08.2020' |
		| '2' | '25.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./'       | '25.08.2020' | 'Ашан ООО, 01'   | '150,000' | '1 [7:00-9:00]' | '1'       | '25.08.2020' |
		| '3' | '25.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'        | '25.08.2020' | 'Ашан ООО, 01'   | '150,000' | '1 [7:00-9:00]' | '1'       | '25.08.2020' |
		| '4' | '25.08.2020' | 'Основной склад ООО' | 'Цыплята 1 кат /подложка/'                    | '25.08.2020' | 'Ашан ООО, 01'   | '150,000' | '1 [7:00-9:00]' | '1'       | '25.08.2020' |

Сценарий: Провераю потребности в подборе на день с отбором по кулинарной продукции

	Тогда таблица "Потребности" стала равной:
		| 'N' | 'Период'     | 'Склад'              | 'Номенклатура'                          | 'Характеристика' | 'Отгрузка'   | 'План'    | 'Волна'         | 'Заказов' |
		| '1' | '25.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '2' | '25.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'  | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |

Сценарий: Провераю потребности в подборе на февраль

	Тогда таблица "Потребности" стала равной:
		| 'N'  | 'Период'     | 'Склад'              | 'Номенклатура'                                | 'Характеристика' | 'Отгрузка'   | 'План'    | 'Волна'         | 'Заказов' |
		| '1'  | '24.08.2020' | 'Основной склад ООО' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '2'  | '25.08.2020' | 'Основной склад ООО' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '3'  | '26.08.2020' | 'Основной склад ООО' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '4'  | '27.08.2020' | 'Основной склад ООО' | 'Ассорти из мяса цыплят-бройлеров /подложка/' | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |
		| '5'  | '24.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '6'  | '25.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '7'  | '26.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '8'  | '27.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./'       | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |
		| '9'  | '24.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '10' | '25.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '11' | '26.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '12' | '27.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'        | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |
		| '13' | '24.08.2020' | 'Основной склад ООО' | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '14' | '25.08.2020' | 'Основной склад ООО' | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '15' | '26.08.2020' | 'Основной склад ООО' | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '16' | '27.08.2020' | 'Основной склад ООО' | 'Цыплята 1 кат /подложка/'                    | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |

Сценарий: Провераю потребности в подборе на февраль с отбором по кулинарной продукции

	Тогда таблица "Потребности" стала равной:
		| 'N' | 'Период'     | 'Склад'              | 'Номенклатура'                          | 'Характеристика' | 'Отгрузка'   | 'План'    | 'Волна'         | 'Заказов' |
		| '1' | '24.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '2' | '25.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '3' | '26.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '4' | '27.08.2020' | 'Основной склад ООО' | 'Колбаски для жарки  "С сыром" /подл./' | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |
		| '5' | '24.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'  | 'Ашан ООО, 01'   | '24.08.2020' | '100,000' | '1 [7:00-9:00]' | '1'       |
		| '6' | '25.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'  | 'Ашан ООО, 01'   | '25.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '7' | '26.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'  | 'Ашан ООО, 01'   | '26.08.2020' | '150,000' | '1 [7:00-9:00]' | '1'       |
		| '8' | '27.08.2020' | 'Основной склад ООО' | 'Фарш куриный натуральный / подложка/'  | 'Ашан ООО, 01'   | '27.08.2020' | '200,000' | '1 [7:00-9:00]' | '1'       |
		

Сценарий: Настройки компоновщика в сценарии заполнены значением по умолчанию
	
	Тогда таблица "КомпоновщикНастроекПользовательскиеНастройки" стала равной:
		| 'Использование' | 'Настройка'                                                                                            | 'Вид сравнения' | 'Значение'                                     |
		| 'Нет'           | 'Контрагент'                                                                                           | 'Равно'         | ''                                             |
		| 'Нет'           | 'Точка доставки'                                                                                       | 'В списке'      | ''                                             |
		| 'Нет'           | 'Организация'                                                                                          | 'Равно'         | ''                                             |
		| 'Нет'           | 'Склад отгрузки'                                                                                       | 'Равно'         | ''                                             |
		| 'Нет'           | 'Волна отгрузки'                                                                                       | 'Равно'         | ''                                             |
		| 'Нет'           | 'Схема обеспечения'                                                                                    | 'В списке'      | '<Пустое значение>'                            |
		| 'Нет'           | 'Подразделение'                                                                                        | 'В списке'      | '<Пустое значение>'                            |
		| 'Нет'           | 'Товарная категория'                                                                                   | 'В списке'      | ''                                             |
		| ''              | 'Отбор'                                                                                                | ''              | ''                                             |
		| ''              | 'Сортировка'                                                                                           | ''              | 'Начало периода, Склад отгрузки, Номенклатура' |
		| 'Да'            | 'Период, Склад отгрузки, Номенклатура, Характеристика, Волна отгрузки, Дата маркировки, Дата отгрузки' | ''              | ''                                             |
		| 'Нет'           | 'Период, Склад отгрузки, Номенклатура, Характеристика'                                                 | ''              | ''                                             |
		| 'Нет'           | 'Период, Номенклатура, Характеристика'                                                                 | ''              | ''                                             |

Сценарий: Настройки компоновщика в сценарии заполнены отбором по клинарной продукции

	Тогда таблица "КомпоновщикНастроекПользовательскиеНастройки" стала равной:
		| 'Использование' | 'Настройка'                                                                                            | 'Вид сравнения' | 'Значение'                                     |
		| 'Нет'           | 'Контрагент'                                                                                           | 'Равно'         | ''                                             |
		| 'Нет'           | 'Точка доставки'                                                                                       | 'В списке'      | ''                                             |
		| 'Нет'           | 'Организация'                                                                                          | 'Равно'         | ''                                             |
		| 'Нет'           | 'Склад отгрузки'                                                                                       | 'Равно'         | ''                                             |
		| 'Нет'           | 'Волна отгрузки'                                                                                       | 'Равно'         | ''                                             |
		| 'Нет'           | 'Схема обеспечения'                                                                                    | 'В списке'      | '<Пустое значение>'                            |
		| 'Нет'           | 'Подразделение'                                                                                        | 'В списке'      | '<Пустое значение>'                            |
		| 'Да'            | 'Товарная категория'                                                                                   | 'Равно'         | 'Кулинарная продукция'                         |
		| ''              | 'Отбор'                                                                                                | ''              | ''                                             |
		| ''              | 'Сортировка'                                                                                           | ''              | 'Начало периода, Склад отгрузки, Номенклатура' |
		| 'Да'            | 'Период, Склад отгрузки, Номенклатура, Характеристика, Волна отгрузки, Дата маркировки, Дата отгрузки' | ''              | ''                                             |
		| 'Нет'           | 'Период, Склад отгрузки, Номенклатура, Характеристика'                                                 | ''              | ''                                             |
		| 'Нет'           | 'Период, Номенклатура, Характеристика'                                                                 | ''              | ''                                             |
	